> For the complete documentation index, see [llms.txt](https://developer.ivvy.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.ivvy.com/events/get-event.md).

# Get Event

<mark style="color:green;">`POST`</mark> `[PlatformAddress]/api/1.0/event?action=getEvent`

Add or update event details

#### Path Parameters

| Name | Type    | Description          |
| ---- | ------- | -------------------- |
|      | integer | The event identifier |

{% tabs %}
{% tab title="200 " %}

```
{
    "id": 144428,
    "code": "EVENTCODE",
    "eventType": 0,
    "title": "test",
    "timezone": "Australia/Brisbane",
    "capacity": 123,
    "domainName": null,
    "startDateTime": "2019-09-28 06:00:00 UTC",
    "endDateTime": "2019-10-31 07:00:00 UTC",
    "numRegistered": 26,
    "currentStatus": 3,
    "contactName": "",
    "contactEmail": "",
    "websiteUrl": "https://www.ivvy.com.au/event/EVENTCODE/",
    "websiteTemplateBannerImageUrl": "",
    "eventTags": [],
    "appTitle": null,
    "twitter": null,
    "appBanner": 0,
    "map": null,
    "includeSpeakers": false,
    "displaySpeakers": false,
    "includeSponsors": false,
    "displaySponsors": false,
    "includeBooths": true,
    "displayExhibitors": false,
    "includeAbstracts": false,
    "displayAbstracts": false,
    "useMultipleSessions": true,
    "includeHotels": false,
    "includeTravel": false,
    "includeMembership": false
}
```

{% endtab %}
{% endtabs %}

## Returns

| Property          | Description                                                        |
| ----------------- | ------------------------------------------------------------------ |
| id                | The unique event identifier                                        |
| code              | The code for the event                                             |
| title             | The title of the event                                             |
| domainName        | The domain name of the event                                       |
| startDateTime     | The start of the event, at UTC                                     |
| endDateTime       | The end of the event, at UTC                                       |
| numRegistered     | The number of registrations                                        |
| currentStatus     | The current status of the event                                    |
| appTitle          | The title to display on mobile platforms                           |
| twitter           | Twitter hashtag for this event                                     |
| appBanner         | Banner to display on mobile platforms                              |
| map               | Map of the event                                                   |
| includeSpeakers   | Whether or not the event includes speakers                         |
| displaySpeakers   | Whether or not the speakers are displayed on the event website     |
| includeSponsors   | Whether or not the event includes sponsors                         |
| displaySponsors   | Whether or not there are sponsors displayed on the event website   |
| includeBooths     | Whether or not the event includes exhibition booths                |
| displayExhibitors | Whether or not there are exhibitors displayed on the event website |
| includeAbstracts  | Whether or not the event includes abstracts                        |
| displayAbstracts  | Whether or not there are abstracts displayed on the event website  |
| includeHotels     | Whether or not the event includes hotel accommodation              |
| includeTravel     | Whether or not the event includes travel (flights and transfers)   |
| includeMembership | Whether or not the event includes memberships                      |
| eventTags         | The tags of the event                                              |

## Event tags

| Code | Description                             |
| ---- | --------------------------------------- |
| id   | The unique identifier for the event tag |
| name | The name of the event tag               |

## Throws

| Property             | Description          |
| -------------------- | -------------------- |
| Specific Code: 24097 | Unable to find event |

The event identifier must be provided as part of this call to fetch the specific event. E.g. {"id":1} can be used to fetch the details of an event with the identifier of 1.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developer.ivvy.com/events/get-event.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
